not compatible with FF 4 Rated 5 out of 5 stars

Please update Snap Links for Firefox 4.